%global __provides_exclude_from %{_datadir}/doc/.*
%global __requires_exclude_from %{_datadir}/doc/.*

%define major		0
%define api		0.12
%define gi_major	0.12

%define oname		champlain
%define libname		%mklibname %{oname} %{api} %{major}
%define libnamegtk	%mklibname %{oname}-gtk %{api} %{major}

%define girname		%mklibname %{oname}-gir %{gi_major}
%define girnamegtk	%mklibname %{oname}-gtk-gir %{gi_major}

%define libnamedev	%mklibname -d %{oname}
%define libnamedevgtk	%mklibname -d %{oname}-gtk

Summary:	Map view for Clutter
Name:		libchamplain
Version:	0.12.15
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
URL:		http://projects.gnome.org/libchamplain/
Source0:	https://download.gnome.org/sources/libchamplain/0.12/%{name}-%{version}.tar.xz
BuildRequires: chrpath
BuildRequires: clutter-devel 
BuildRequires: clutter-gtk-devel
BuildRequires: cogl-devel
BuildRequires: gtk-doc
BuildRequires: lib64atk1.0-devel 
BuildRequires: lib64cairo-devel 
BuildRequires: lib64gdk_pixbuf2.0_0-devel 
BuildRequires: lib64glib2.0-devel 
BuildRequires: lib64gtk+3.0-devel
BuildRequires: lib64json-glib-devel 
BuildRequires: lib64pango1.0-devel
BuildRequires: lib64soup-devel 
BuildRequires: lib64sqlite3-devel
BuildRequires: vala
BuildRequires: vala-tools
BuildRequires: lib64memphis-devel


%description
Libchamplain is a C library aimed to provide a ClutterActor to display
rasterized maps.

#--------------------------------------------------------------------

%package -n %libname
Summary:	Development files for %{name}
Group:		System/Libraries

%description -n %{libname}
Libchamplain is a C library aimed to provide a ClutterActor to display
rasterized maps.

%files -n %{libname}
%{_libdir}/lib%{oname}-%{api}.so.%{major}*
%{_libdir}/lib%{oname}-gtk-%{api}.so.%{major}*
%{_libdir}/girepository-1.0/Champlain-%{gi_major}.typelib
%{_libdir}/girepository-1.0/GtkChamplain-%{gi_major}.typelib
#--------------------------------------------------------------------

%package -n %{libnamedev}
Summary:	Development files for %{name}
Group:		Development/Libraries
Provides:	%{oname}-devel = %{version}-%{release}
Provides:   %{name}-devel = %{version}-%{release}
Requires:   %{libname} = %{version}-%{release}

%description -n %{libnamedev}
This package contains development files for %{name}.

%files -n %libnamedev
%doc %{_datadir}/gtk-doc/html/%{name}-%{api}
%{_datadir}/gir-1.0/Champlain-%{gi_major}.gir
%{_libdir}/%{name}-%{api}.so
%{_libdir}/pkgconfig/%{oname}-%{api}.pc
%{_includedir}/%{name}-%{api}
%doc %{_datadir}/gtk-doc/html/%{name}-gtk-%{api}
%{_datadir}/gir-1.0/GtkChamplain-%{gi_major}.gir
%{_libdir}/%{name}-gtk-%{api}.so
%{_libdir}/pkgconfig/%{oname}-gtk-%{api}.pc
%{_includedir}/%{name}-gtk-%{api}

#--------------------------------------------------------------------

%package vala
Summary:	Vala bindings for %{name}
Group:		Development/Other 
Requires:	%{libnamedev} = %{version}-%{release}
Requires:	vala

%description vala
This package contains vala bindings for development %{name}.

%files vala
%{_datadir}/vala/vapi/%{oname}-%{api}.vapi
%{_datadir}/vala/vapi/%{oname}-gtk-%{api}.vapi


%package demos
Summary:	Demo apps for %{name}
Group:		System/Libraries
Requires:	%{name}-devel = %{version}-%{release}
BuildArch:	noarch

%description demos
This package contains demos for development using %{name}.

%files demos
%doc demos/*.c
%doc demos/*.h
%doc demos/*.vala
%doc demos/*.js
%doc demos/Makefile*
%doc demos/*.py
%doc demos/*.osm

#--------------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x --disable-debug \
	   --disable-silent-rules \
	   --disable-static \
           --enable-gtk \
	   --enable-gtk-doc \
	   --enable-introspection=yes \
	   --enable-vala=yes \

# Omit unused direct shared library dependencies.
sed --in-place --expression 's! -shared ! -Wl,--as-needed\0!g' libtool

%make

%install
rm -rf %buildroot
%makeinstall_std

find %{buildroot} -type f -name "*.la" -delete

# Remove rpaths.
chrpath --delete %{buildroot}%{_libdir}/%{name}-gtk-*.so.*


%changelog
* Sat Apr 08 2017 bb2 <bb2> - 0.12.15-1pclos2017
- new version

* Fri Oct 28 2016 bb <bb> 0.12.14-2pclos2016
- fix broke dependency

* Thu Oct 27 2016 bb <bb> 0.12.14-1pclos2016
- update

